<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="app.fedilab.fedilabtube">


    <!--

     <uses-permission android:name="android.permission.RECEIVE_BOOT_COMPLETED" />

    -->
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.FOREGROUND_SERVICE" />

    <application
        android:name=".FedilabTube"
        android:allowBackup="false"

        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/ic_launcher_round"
        android:supportsRtl="true"
        android:theme="@style/AppTheme"
        tools:replace="android:allowBackup">
        <activity
            android:name=".MainActivity"
            android:theme="@style/AppThemeNoActionBar"
            android:configChanges="orientation|screenSize"
            android:label="@string/app_name">

            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>


        <activity
            android:name=".PeertubeActivity"
            android:configChanges="screenSize|smallestScreenSize|screenLayout|orientation"
            android:label="@string/app_name"
            android:launchMode="singleTask"
            android:resizeableActivity="true"
            android:supportsPictureInPicture="true"
            tools:targetApi="n" />
        <activity
            android:name=".PeertubeEditUploadActivity"
            android:configChanges="orientation|screenSize"
            android:label="@string/app_name"
            android:exported="false"
            android:windowSoftInputMode="stateAlwaysHidden" />

        <activity
            android:name=".ShowChannelActivity"
            android:configChanges="orientation|screenSize"
            android:label="@string/app_name"
            android:windowSoftInputMode="stateAlwaysHidden" />
        <activity
            android:name=".AccountActivity"
            android:configChanges="orientation|screenSize"
            android:label="@string/app_name"
            android:windowSoftInputMode="stateAlwaysHidden" />
        <activity
            android:name=".SearchActivity"
            android:configChanges="orientation|screenSize"
            android:label="@string/app_name"
            android:windowSoftInputMode="stateAlwaysHidden" />
        <activity
            android:name=".AllPlaylistsActivity"
            android:configChanges="orientation|screenSize"
            android:label="@string/app_name"
            android:windowSoftInputMode="stateAlwaysHidden" />

        <activity
            android:name=".InstancePickerActivity"
            android:configChanges="orientation|screenSize"
            android:label="@string/app_name"
            android:windowSoftInputMode="stateAlwaysHidden" />

        <activity
            android:name=".PlaylistsActivity"
            android:configChanges="orientation|screenSize"
            android:label="@string/app_name"
            android:windowSoftInputMode="stateAlwaysHidden" />
        <activity
            android:name=".VideosTimelineActivity"
            android:configChanges="orientation|screenSize"
            android:label="@string/app_name"
            android:windowSoftInputMode="stateAlwaysHidden" />
        <activity
            android:name=".SepiaSearchActivity"
            android:configChanges="orientation|screenSize"
            android:label="@string/sepia_search"
            android:windowSoftInputMode="stateAlwaysHidden" />
        <activity
            android:name=".WebviewActivity"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:label="@string/app_name" />
        <activity
            android:name=".WebviewConnectActivity"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:label="@string/app_name" />
        <activity
            android:name=".LoginActivity"
            android:configChanges="orientation|screenSize"
            android:label="@string/app_name"
            android:windowSoftInputMode="stateAlwaysHidden" />

        <activity
            android:name=".SettingsActivity"
            android:configChanges="orientation|screenSize"
            android:label="@string/settings"
            android:windowSoftInputMode="stateAlwaysHidden" />
        <activity
            android:name=".PeertubeRegisterActivity"
            android:configChanges="orientation|screenSize"
            android:label="@string/register_account"
            android:windowSoftInputMode="stateAlwaysHidden" />
        <activity
            android:name=".PeertubeUploadActivity"
            android:configChanges="orientation|screenSize"
            android:label="@string/upload_video"
            android:windowSoftInputMode="stateAlwaysHidden" />
        <activity
            android:name=".AboutActivity"
            android:configChanges="orientation|screenSize"
            android:label="@string/about_the_app"
            android:windowSoftInputMode="stateAlwaysHidden" />

        <service
            android:name=".services.RetrieveInfoService"
            android:exported="false" />
        <receiver
            android:name=".services.PeertubeUploadReceiver"
            android:exported="false">
            <intent-filter>
                <action android:name="app.fedilab.fedilabtube.uploadservice.broadcast.status" />
            </intent-filter>
        </receiver>
    </application>

</manifest>